Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class MobileContractTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mobile.server.bean.MobileContractTariff

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class MobileContractTariff
    extends Id
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MobileContractTariff()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `int` | `getEntityId()` |
  `int` | `getEntityMid()` |
  `MobilePeriod` | `getPeriod()` |
  `int` | `getPosition()` |
  `int` | `getReplacedFromContractTariffId()` |
  `int` | `getTariffGroupId()` |
  `int` | `getTariffPlanId()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setEntityId​(int entityId)` |
  `void` | `setEntityMid​(int entityMid)` |
  `void` | `setPeriod​(MobilePeriod period)` |
  `void` | `setPosition​(int position)` |
  `void` | `setReplacedFromContractTariffId​(int replacedFromContractTariffId)` |
  `void` | `setTariffGroupId​(int tariffGroupId)` |
  `void` | `setTariffPlanId​(int tariffPlanId)` |
  `static MobileContractTariff` | `toMobileContractTariff​(ContractTariff contractTariff)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileContractTariff

    public MobileContractTariff()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### getTariffGroupId

    public int getTariffGroupId()

  - ### getPosition

    public int getPosition()

  - ### getEntityMid

    public int getEntityMid()

  - ### getEntityId

    public int getEntityId()

  - ### getReplacedFromContractTariffId

    public int getReplacedFromContractTariffId()

  - ### getPeriod

    public MobilePeriod getPeriod()

  - ### getComment

    public java.lang.String getComment()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### setTariffPlanId

    public void setTariffPlanId​(int tariffPlanId)

  - ### setTariffGroupId

    public void setTariffGroupId​(int tariffGroupId)

  - ### setPosition

    public void setPosition​(int position)

  - ### setEntityMid

    public void setEntityMid​(int entityMid)

  - ### setEntityId

    public void setEntityId​(int entityId)

  - ### setReplacedFromContractTariffId

    public void setReplacedFromContractTariffId​(int replacedFromContractTariffId)

  - ### setPeriod

    public void setPeriod​(MobilePeriod period)

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### toMobileContractTariff

    public static MobileContractTariff toMobileContractTariff​(ContractTariff contractTariff)